{
  flake.modules.nixos.git = { pkgs, ... }: {
    environment.systemPackages = [ pkgs.git ];
  };

  flake.modules.homeManager.git = {
    programs.git = {
      enable = true;
      settings.user = {
        email = "weckyy702@gmail.com";
        name = "Weckyy702";
      };
      #TODO: signing
    };
  };
}
